Home
GET
https://ton-open-api.nownodes.io/v2/events/{event_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get an event either by event ID or a hash of any transaction in a trace. An event is built on top of a trace which is a series of transactions caused by one inbound message. TonAPI looks for known patterns inside the trace and splits the trace into actions, where a single action represents a meaningful high-level operation like a Jetton Transfer or an NFT Purchase. Actions are expected to be shown to users. It is advised not to build any logic on top of actions because actions can be changed at any time.

Parameters

event_idstringrequiredpath

event ID or transaction hash in hex (without 0x) or base64url format

Accept-Languagestringenheader

Response

200OK

event

default

Some error during request processing